// Chilkat Objective-C header.
// This is a generated header file for Chilkat version 11.0.0

// Generic/internal class name =  SFtpDir
// Wrapped Chilkat C++ class name =  CkSFtpDir

@class CkoSFtpFile;
@class CkoTask;


@interface CkoSFtpDir : NSObject {

	@private
		void *m_obj;

}

- (id)init;
- (void)dealloc;
- (void)dispose;
- (NSString *)stringWithUtf8: (const char *)s;
- (void *)CppImplObj;
- (void)setCppImplObj: (void *)pObj;

- (void)clearCppImplObj;

@property (nonatomic, copy) NSString *DebugLogFilePath;
@property (nonatomic, readonly, copy) NSString *LastErrorHtml;
@property (nonatomic, readonly, copy) NSString *LastErrorText;
@property (nonatomic, readonly, copy) NSString *LastErrorXml;
@property (nonatomic) BOOL LastMethodSuccess;
@property (nonatomic, readonly, copy) NSNumber *NumFilesAndDirs;
@property (nonatomic, readonly, copy) NSString *OriginalPath;
@property (nonatomic) BOOL VerboseLogging;
@property (nonatomic, readonly, copy) NSString *Version;
// method: FileAt
- (BOOL)FileAt: (NSNumber *)index 
	fileObj: (CkoSFtpFile *)fileObj;
// method: GetFilename
- (NSString *)GetFilename: (NSNumber *)index;
// method: GetFileObject
- (CkoSFtpFile *)GetFileObject: (NSNumber *)index;
// method: LoadTaskResult
- (BOOL)LoadTaskResult: (CkoTask *)task;
// method: Sort
- (void)Sort: (NSString *)field 
	ascending: (BOOL)ascending;

@end
